<?php
class LSTPerfiles extends AppListado{
	
	
	public function init(){
		
	
		
		/*
		$this->setUrlCreacion(BASEURL.'/perfiles/editar');
		$this->addAccion('nuevo', 'Nuevo', '/perfiles/editar');
		*/
		
		$columan = new CLMTexto('nombre', '$nombre#', 'Nombre');
		$this->addColumna($columan);
		
		$nombre_maquina = new CLMTexto('nombre_maquina', '$nombre_maquina#', 'Nombre Maquina');
		$this->addColumna($nombre_maquina);
		
		
		$activo = new CLMMultiple('activo', '$activo#', 'Activo');
		$valores = array(
				0=> 'No',
				1 => 'Si'
		);
		$activo->setValoresMultiples($valores);
		$activo->addValorMultiple(2,'regular');
		$this->addColumna($activo);
		
		
		$acciones = new CLMAccion('acciones', 'perfiles');
		$acciones->addAccionEditar(array('id'=> '$id_perfil#'));
		$acciones->addAccionVer(array('id'=> '$id_perfil#'));
		$acciones->addAccionEliminar(array('id'=> '$id_perfil#'),'Desea eliminar el perfil');
		$this->addColumna($acciones);		
		
		
	}
	
	public function __construct(){
	parent::__construct();	
	}
	
}
